# Generated by Django 3.1.7 on 2021-04-06 18:28

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('waze', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Irregularity',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('waze_id', models.IntegerField()),
                ('polygon_slug', models.CharField(max_length=100)),
                ('reported_at', models.DateTimeField()),
                ('update_date', models.DateTimeField()),
                ('detection_date', models.DateTimeField()),
                ('country', models.CharField(max_length=100)),
                ('city', models.CharField(max_length=100)),
                ('street', models.CharField(max_length=100)),
                ('length', models.IntegerField()),
                ('highway', models.BooleanField()),
                ('start_node', models.CharField(max_length=100)),
                ('end_node', models.CharField(max_length=100)),
                ('cause_type', models.CharField(max_length=100)),
                ('speed', models.FloatField()),
                ('trend', models.IntegerField()),
                ('seconds', models.IntegerField()),
                ('delay_seconds', models.IntegerField()),
                ('severity', models.IntegerField()),
                ('regular_speed', models.FloatField()),
                ('jam_level', models.IntegerField()),
                ('type', models.CharField(max_length=100)),
                ('alerts_count', models.IntegerField()),
                ('drivers_count', models.IntegerField()),
                ('n_images', models.IntegerField()),
                ('n_comments', models.IntegerField()),
                ('n_thumbs_up', models.IntegerField()),
                ('cause_alert', models.ForeignKey(
                    blank=True, null=True, on_delete=django.db.models.deletion.CASCADE,
                    related_name='caused_irregularity', to='waze.alert'
                )),
            ],
        ),
        migrations.CreateModel(
            name='IrregularityLinePoint',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('lat', models.FloatField()),
                ('lon', models.FloatField()),
                ('irregularity', models.ForeignKey(
                    on_delete=django.db.models.deletion.CASCADE, to='waze.irregularity'
                )),
            ],
        ),
        migrations.AddField(
            model_name='alert',
            name='irregularity',
            field=models.ForeignKey(
                blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='waze.irregularity'
            ),
        ),
    ]
